Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.saxpath
Class Axis

    java.lang.Object
      org.jaxen.saxpath.Axis

public class Axis
extends Object

Internal SAXPath class that contains constants representing XPath operators to avoid a lot of string comparisons.

Field Summary
`static int` | `ANCESTOR` The `ancestor` axis
`static int` | `ANCESTOR_OR_SELF` The `ancestor-or-self` axis
`static int` | `ATTRIBUTE` The `attribute` axis
`static int` | `CHILD` The `child` axis
`static int` | `DESCENDANT` The `descendant` axis
`static int` | `DESCENDANT_OR_SELF` The `descendant-or-self` axis
`static int` | `FOLLOWING` The `following` axis
`static int` | `FOLLOWING_SIBLING` The `following-sibling` axis
`static int` | `INVALID_AXIS` Marker for an invalid axis
`static int` | `NAMESPACE` The `namespace` axis
`static int` | `PARENT` The `parent` axis
`static int` | `PRECEDING` The `preceding` axis
`static int` | `PRECEDING_SIBLING` The `preceding-sibling` axis
`static int` | `SELF` The `self` axis

Method Summary
`static String` | `lookup(int axisNum)` Returns the name of the axis.
`static int` | `lookup(String axisName)` Returns the code for an axis given its name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_AXIS

    public static final int INVALID_AXIS

  Marker for an invalid axis

  See Also:
    Constant Field Values

### CHILD

    public static final int CHILD

  The `child` axis

  See Also:
    Constant Field Values

### DESCENDANT

    public static final int DESCENDANT

  The `descendant` axis

  See Also:
    Constant Field Values

### PARENT

    public static final int PARENT

  The `parent` axis

  See Also:
    Constant Field Values

### ANCESTOR

    public static final int ANCESTOR

  The `ancestor` axis

  See Also:
    Constant Field Values

### FOLLOWING_SIBLING

    public static final int FOLLOWING_SIBLING

  The `following-sibling` axis

  See Also:
    Constant Field Values

### PRECEDING_SIBLING

    public static final int PRECEDING_SIBLING

  The `preceding-sibling` axis

  See Also:
    Constant Field Values

### FOLLOWING

    public static final int FOLLOWING

  The `following` axis

  See Also:
    Constant Field Values

### PRECEDING

    public static final int PRECEDING

  The `preceding` axis

  See Also:
    Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

  The `attribute` axis

  See Also:
    Constant Field Values

### NAMESPACE

    public static final int NAMESPACE

  The `namespace` axis

  See Also:
    Constant Field Values

### SELF

    public static final int SELF

  The `self` axis

  See Also:
    Constant Field Values

### DESCENDANT_OR_SELF

    public static final int DESCENDANT_OR_SELF

  The `descendant-or-self` axis

  See Also:
    Constant Field Values

### ANCESTOR_OR_SELF

    public static final int ANCESTOR_OR_SELF

  The `ancestor-or-self` axis

  See Also:
    Constant Field Values

Method Detail

### lookup

    public static String lookup(int axisNum)

  Returns the name of the axis.

  Parameters:
    `axisNum` - the axis code
  Returns:
    the name of the axis such as might be used in an XPath expression
  Throws:
    `JaxenRuntimeException` - if the number does not represent one of the 13 XPath axes

### lookup

    public static int lookup(String axisName)

  Returns the code for an axis given its name.

  Parameters:
    `axisName` - the name of the axis: child, parent, descendant, descendant-or-self, etc.
  Returns:
    the axis code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.